Skip to content

List Send Logs

GET
/v1/app-communications/logs

List outbound communication logs for the authenticated tenant.

category
Any of:
CommunicationCategory
string
Allowed values: billing product support task auth
limit
Limit

Records per page

integer
default: 50 >= 1 <= 200

Records per page

after
Any of:
string

Cursor from previous page’s next_cursor

Successful Response

PaginatedResponse[SendLogSummary]
object
data
required
Data
Array<object>
SendLogSummary
object
id
required
Id
string format: uuid
message_id
required
Message Id
string format: uuid
category
required
CommunicationCategory
string
Allowed values: billing product support task auth
message_type
required
Message Type
string
recipient_email
required
Recipient Email
string format: email
status
required
DeliveryStatus
string
Allowed values: pending sent delivered opened clicked bounced complained failed
resend_message_id
Any of:
string
sent_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
pagination
required
PaginationMeta

Pagination metadata included in list responses.

object
has_more
required
Has More
boolean
next_cursor
Any of:
string
total
Any of:
integer
meta
ResponseMeta

Metadata included in every response envelope.

object
request_id
Any of:
string
organization_id
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object